--- Testbench for FSM and Top Module of SP (VHDL)

use work.MCT_Pack_uP.all;
library ieee;
use ieee.std_logic_1164.all;
use IEEE.numeric_std.all;

entity test_SP is
end test_SP ;

architecture Behavioural of test_SP  is

component FSM_Top_Module is 
   port(Clk, RS : in std_logic);
end component;

-- Test bench internal signals
signal T_Clk, T_RS : std_logic;

begin
-- connect FSM_Top_Module to testbench
PCT1: FSM_Top_Module port map (Clk=>T_Clk, RS=>T_RS);

-- run tests
reset : process begin
   T_RS <= '1'; wait for 5 ns; T_RS <= '0'; wait;
end process reset;

clock : process begin
   T_Clk <= '1'; wait for 10 ns; T_Clk <= '0'; wait for 10 ns;
end process clock;

end Behavioural;